package com.szpg.plc.message;

import java.util.Calendar;

public abstract class CommandResponse extends AppMessage {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2212489043603122735L;
	
	private AppCommand command = null;
	
	private String destinationId;
	
	public CommandResponse() {
		this.setTime(Calendar.getInstance());
	}
	
	public CommandResponse(Calendar time) {
		super();
		super.setTime(time);
	}

	public CommandResponse(Calendar time, String messageProducerId) {
		super(time, messageProducerId);
	}
	
	public AppCommand getCommand() {
		return command;
	}

	public void setCommand(AppCommand command) {
		this.command = command;
	}
	
	public String getDestinationId() {
		return destinationId;
	}

	public void setDestinationId(String destinationId) {
		this.destinationId = destinationId;
	}

	public abstract void afterAction();
}
